Package org.opensaml.soap.wstrust

# Interface Authenticator

All Superinterfaces:
  `ElementExtensibleXMLObject`, `WSTrustObject`, `XMLObject`

All Known Implementing Classes:
  `AuthenticatorImpl`

public interface Authenticator extends ElementExtensibleXMLObject, WSTrustObject
The wst:Authenticator element.

See Also:
  - "WS-Trust 1.3, Chapter 8.9 Authenticating Exchanges."

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`ELEMENT_NAME`
Default element name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`CombinedHash`
`getCombinedHash()`
Returns the wst:CombinedHash child element.
`void`
`setCombinedHash(CombinedHash combinedHash)`
Sets the wst:CombinedHash child element.

### Methods inherited from interface org.opensaml.core.xml.ElementExtensibleXMLObject

`getUnknownXMLObjects, getUnknownXMLObjects`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### ELEMENT_NAME

@Nonnull static final QName ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

## Method Details

### getCombinedHash

@Nullable CombinedHash getCombinedHash()
Returns the wst:CombinedHash child element.

Returns:
  the `CombinedHash` element.

### setCombinedHash

void setCombinedHash(@Nullable CombinedHash combinedHash)
Sets the wst:CombinedHash child element.

Parameters:
  `combinedHash` - the `CombinedHash` to set.